Name:    qutrub
Summary: Arab verbs conjugation tool
Summary(ar): أداة لتصريف الأفعال العربية
Version: 1.1
Release: 21%{?dist}
License: GPLv2
Url:     http://qutrub.arabeyes.org
Source0: qutrub-src-1.1.tar.bz2
Source1: %{name}.desktop
Source2: %{name}
Source3: %{name}.png
Source4: Qutrub.conf
BuildRequires: ImageMagick
Requires:  python2
Requires:  PyQt4
BuildArch: noarch

%description -l ar
يصرّف البرنامج الأفعال في الأزمنة المحددة، ويفيد في التعليم
والتعلّم وأيضا في معالجة اللغة العربية آليا. هدف البرنامج
هو تمكين تصريف الأفعال العربية تصريفا آليا مبسطا.

%description
Distract the program acts in specific times, and
is useful in teaching and learning and also in the
Arabic language processing automatically. The goal
of the program is to enable Arab conjugation drainage
automatically simplified.

%prep
%setup -q -c %{name}-%{version}

%install
mkdir -p %{buildroot}%{_sysconfdir}/skel/.config/Arabeyes.org
mkdir -p %{buildroot}/opt/%{name} %{buildroot}/{%{_bindir},%{_datadir}/applications}
cp -r *  %{buildroot}/opt/%{name}

install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications
install -D -m 755 %{SOURCE2} %{buildroot}%{_bindir}
install -D -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/skel/.config/Arabeyes.org

# Install icon
for res in 16x16 22x22 24x24 32x32 36x36 48x48 64x64 72x72 96x96; do \
  %{__mkdir_p} %{buildroot}/%{_datadir}/icons/hicolor/${res}/apps
  convert -size 146x171 %{SOURCE3} -resize ${res} %{buildroot}/%{_datadir}/icons/hicolor/${res}/apps/%{name}.png
done;




# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2017 Mosaab Alzoubi <moceap@hotmail.com> -->
<!--
EmailAddress: moceap@hotmail.com
SentUpstream: 2017-1-8
-->
<application>
  <id type="desktop">%{name}.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>Arab verbs conjugation tool</summary>
  <summary xml:lang="ar">أداة لتصريف الأفعال العربية</summary>
  <description>
    <p>
	Distract the program acts in specific times, and
	is useful in teaching and learning and also in the
	Arabic language processing automatically. The goal
	of the program is to enable Arab conjugation drainage
	automatically simplified.
    </p>
  </description>
  <description xml:lang="ar">
    <p>
	يصرّف البرنامج الأفعال في الأزمنة المحددة، ويفيد في التعليم
	والتعلّم وأيضا في معالجة اللغة العربية آليا. هدف البرنامج
	هو تمكين تصريف الأفعال العربية تصريفا آليا مبسطا.
    </p>
  </description>
  <url type="homepage">http://qutrub.arabeyes.org</url>
  <screenshots>
    <screenshot type="default">http://ojuba.org/screenshots/%{name}.png</screenshot>
  </screenshots>
  <updatecontact>moceap@hotmail.com</updatecontact>
</application>
EOF





%files
/opt/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/*
%{_sysconfdir}/skel/.config/Arabeyes.org/Qutrub.conf
%{_datadir}/appdata/%{name}.appdata.xml

%changelog

* Wed Jan 11 2017 Mosaab Alzoubi <moceap@hotmail.com> - 1.1-21
- Fix license
- Add doc tag
- Add license tag
- Fix requires
- Clean spec
- Start with Arabic gui
- Add Appdata

* Sun Nov 27 2016 Mosaab Alzoubi <moceap@hotmail.com> - 1.1-20
- Rebuilt for Fedora 25

* Sun Feb 03 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> 1.1-1
- Initial Build
